package cn.cecep.talroad.mapper;

import cn.cecep.talroad.data.anomaly.task.entity.ProblemRatioDTO;
import cn.cecep.talroad.domain.MAmProblemFiRatio;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MAmProblemFiRatioMapper extends BaseMapper<MAmProblemFiRatio> {
    int insertSelective(MAmProblemFiRatio record);

    int updateByPrimaryKeySelective(MAmProblemFiRatio record);

    List<MAmProblemFiRatio> queryMamProblemFiRatioListByFactoriesIds(@Param("list") List<String> factoriesIds);

    void batchInsert(@Param("list") List<MAmProblemFiRatio> newList);

    void batchUpdate(@Param("list") List<MAmProblemFiRatio> updateList);

  List<MAmProblemFiRatio> queryMamProblemFiRatioListByProblemRatioDTOList(
      List<ProblemRatioDTO> problemRatioDTOList);
}